Skip to main content
Operations Management/Tenant Management (Plus)/Organization Operations

GetOrganizationQuotaUsage

GetOrganizationQuotaUsage

GET/zstack/v1/iam2/organizations/quota/{uuid}/usages

Operation ID

GetOrganizationQuotaUsage

Since

4.3.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • uuid
    StringRequired

    The resource UUID.

Query Parameters

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • usages
    ListRequired

    See usages.

    • name
      StringRequired

      The resource name.

    • total
      LongRequired

      The total quota.

    • used
      LongRequired

      The used quota.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • Change Time

    AddedResponse fields cause, code, description...
    View API